Reports
Search Research
Use Gemini only for candidate selection, then return canonical stored JSON.
POST
/
api
/
public
/
v1
/
research
/
search
/
Search Research
curl --request POST \
--url https://api.userintuition.ai/api/public/v1/research/search/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "What makes people think The Ribbon is too expensive?",
"filters": {
"study_ids": [
"11111111-2222-3333-4444-555555555555"
],
"content_types": [
"study_finding",
"participant_response"
],
"research_date_from": "2026-01-01",
"research_date_to": "2026-09-16"
},
"limit": 10,
"cursor": null
}
'import requests
url = "https://api.userintuition.ai/api/public/v1/research/search/"
payload = {
"query": "What makes people think The Ribbon is too expensive?",
"filters": {
"study_ids": ["11111111-2222-3333-4444-555555555555"],
"content_types": ["study_finding", "participant_response"],
"research_date_from": "2026-01-01",
"research_date_to": "2026-09-16"
},
"limit": 10,
"cursor": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: 'What makes people think The Ribbon is too expensive?',
filters: {
study_ids: ['11111111-2222-3333-4444-555555555555'],
content_types: ['study_finding', 'participant_response'],
research_date_from: '2026-01-01',
research_date_to: '2026-09-16'
},
limit: 10,
cursor: null
})
};
fetch('https://api.userintuition.ai/api/public/v1/research/search/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"studies": [
{
"study_id": "<string>",
"index_status": "ready",
"latest_report_id": "<string>",
"indexed_report_id": "<string>",
"results": [
{
"content_id": "<string>",
"content_type": "study_plan",
"content": {
"objectives": "<string>",
"conversation_flow": "<string>",
"background": "<string>",
"learning_goals": "<string>",
"key_questions": "<string>",
"study_specific_rules": "<string>",
"study_improvements": "<string>"
},
"report_id": "<string>",
"research_date": "2023-11-07T05:31:56Z"
}
]
}
],
"next_cursor": "<string>",
"generated_content_returned": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Authenticate with an API key (prefixed ui_sk_) or a JWT token from the dashboard.
Body
application/json
Was this page helpful?
⌘I
Search Research

